2025-10-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.2p1

2025-10-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.1p1

2025-04-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.0p1

2025-02-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.9p2, SECURITY_PATCH++, (CVE-2025-26465, CVE-2025-26466)

2024-09-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.9p1
	* patches/0001-Add-missing-sockaddr-cast.patch:
	  removed, no longer appliccable

2024-07-03 Ismael Luceno <ismael@sourcemage.org>
	* patches/0001-Add-missing-sockaddr-cast.patch:
	  fixed build against musl

2024-07-01 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: version 9.8p1, ++SECURITY_PATCH

2024-03-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.7p1

2023-12-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.6p1, SECURITY_PATCH++

2023-10-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.5p1

2023-08-20 Stephane Fontaine <esselfe16@gmail.com>
	* BUILD: temporarily fix failure with the new zlib 1.3

2023-08-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.4p1

2023-07-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.2p2, SECURITY_PATCH++, (CVE-2023-38408)

2023-05-04 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS, DEPENDS: add libfido2 dependency, ++PATCHLEVEL

2023-03-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.3p1

2023-02-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.2p1, updated WEB_SITE, SECURITY_PATCH++,
	  (https://www.openwall.com/lists/oss-security/2023/02/02/2)

2022-11-28 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD CONFIGUE: delete SSH_MD5

2022-10-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.1p1

2022-05-21  Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS, INSTALL, systemd: add support for systemd

2022-04-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 9.0p1

2022-02-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 8.9p1

2021-09-26  Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 8.8p1

2029-09-23 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix for openssl-3

2021-08-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.7p1

2021-04-19 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 8.6p1

2021-03-06 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 8.5p1

2020-09-27 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 8.4p1

2020-05-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 8.3p1

2020-02-14 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 8.2p1

2020-02-10 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, patches/0001-fix-runtime-error-with-glibc-2.31.patch: fix
	  runtime error with glibc 2.31
	* DETAILS: PATCH_LEVEL++

2020-02-05  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add shadow
	* CONFIGURE BUILD: no longer force md5 password support

2019-10-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.1p1, SECURITY_PATCH++,
	  (http://lists.mindrot.org/pipermail/openssh-unix-dev/2019-October/037966.html)

2019-09-04 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Improved description of libedit dependency

2019-04-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.0p1
	* PRE_BUILD, scp-name-validator.patch: removed the patch

2019-01-22  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add libedit

2019-01-19  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: delete gnupg

2019-01-15 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD, scp-name-validator.patch: add patch to fix
	  CVE-2018-20685, CVE-2019-6109, CVE-2019-6110, CVE-2019-6111

2018-10-19 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 7.9p1

2018-08-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 7.8p1

2018-04-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 7.7p1

2017-10-04 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: 7.6p1

2017-03-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.5p1

2017-01-29  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: disable some optional depends

2016-12-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.4p1, SECURITY_PATCH++,
	  http://www.openssh.com/txt/release-7.4

2016-08-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.3p1, SECURITY_PATCH=11

2016-05-01 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated source url (ftp -> http); added backup urls

2016-03-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 7.2p2, SECURITY_PATCH++
	  (http://www.openssh.com/txt/x11fwd.adv)

2016-02-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.2p1

2016-01-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.1p2, SECURITY_PATCH=9, CVE-2016-0777 and CVE-2016-0778

2015-08-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.1p1

2015-08-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.0p1

2015-07-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.9p1, SECURITY_PATCH=8

2015-03-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.8p1

2014-12-12  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: remove obsolete tcp_wrappers 

2014-10-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.7p1

2014-08-19  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: openssl => SSL

2011-05-12 Jeremy Blosser <jblosser-smgl@firinn.org>
	* PRE_BUILD, openssh-lpk-6.5p1-0.3.14.patch.gz: Update the LPK patch.

2014-03-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.6p1

2014-01-30 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.5p1

2013-12-26 Ismael Luceno <ismael@sourcemage.org>
	* CONFLICTS: doesn't conflict with dropbear

2013-11-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.4p1, SECURITY_PATCH=7
	  http://www.openssh.com/txt/gcmrekey.adv

2013-09-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.3p1

2013-05-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.2p2

2013-03-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.2p1

2012-08-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.1p1

2012-07-11 Sukneet Basuta <sukneet@sourcemage.org>
	* PRE_BUILD: updated LPK patch to 6.0p1, from Gentoo

2012-04-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.0p1

2011-09-11 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: updated LPK patch to 5.9p1

2011-09-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.9p1

2011-08-23 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: use djm.gpg instead of openssh.gpg
	* openssh.gpg: removed, no longer needed

2011-05-12 Jeremy Blosser <jblosser-smgl@firinn.org>
	* PRE_BUILD, openssh-lpk-5.8p2.patch*: bzip the patch.
	* DETAILS: Catch the lpk *.schema files in DOCS if they are enabled.

2011-05-11 Jeremy Blosser <jblosser-smgl@firinn.org>
	* CONFIGURE, DEPENDS, PRE_BUILD, openssh-lpk-5.8p2.patch: Add options
	  for openssh-lpk patch.

2011-05-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.8p2; SECURITY_PATCH++
	  http://www.openssh.com/txt/portable-keysign-rand-helper.adv

2011-02-04 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.8p1, SECURITY_PATCH=5
	  http://www.openssh.com/txt/legacy-cert.adv

2011-01-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.7p1

2010-12-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: removed sftp file control patch support (not needed anymore
	  since sftp-server(8) has ``-u'' flag)
	* PRE{PARE,_BUILD}: removed

2010-10-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: removed sftp filecontrol patch until it's fixed with newer
	  openssh version

2010-08-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.6p1

2010-04-16 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.5p1

2010-03-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated sftp filecontrol patch to 5.4p1, PATCHLEVEL+=1

2010-03-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.4p1

2010-02-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated sftp filecontrol patch to 5.3p1, PATCHLEVEL=1

2009-10-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.3p1

2009-07-28 Vlad Glagolev <stealth@sourcemage.org>
	* PREPARE, PRE_BUILD, DETAILS: added sftp filecontrol patch from
	  http://sftpfilecontrol.sourceforge.net/; quoting paths

2009-05-02 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* init.d/sshd: made it non-sh, bug #13702

2009-02-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.2p1, SECURITY_PATCH=4

2009-01-07 George Sherwood <gsherwood@sourcemage.org>
	* DEPENDS: Change optional_depends XORG_SERVER to xauth

2009-01-06 George Sherwood <gsherwood@sourcemage.org>
	* DEPENDS: Removed depends xauth. Bug #15010

2008-11-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: remove check_if_xorg_modular* reference #14708

2008-07-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.1p1

2008-06-13 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: xauth is only available in xorg-modular #14532

2008-04-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.0p1, SECURITY_PATCH=3, CVE-2008-1483
	  http://www.openssh.org/txt/release-5.0

2008-03-31 Mathieu Lonjaret <lejatorn@sourcemage.org>
	* DEPENDS: added xauth for X11Forwarding (can probably be done in a
	more flexible way, with queries...)

2008-03-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 4.9p1

2008-03-22 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on e2fsprogs for libcom_err

2007-09-05 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 4.7p1. Remvoed non-working SOURCE_URL[1]

2007-03-10 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 4.6p1

2006-11-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.5p1

2006-09-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.4p1, SECURITY_PATCH=2

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2 and MAINTAINER.

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-11 George Sherwood <george@beernabeer.com>
	* DETAILS: 4.3p2

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)
	  Added missing '&&' after optional dependencies tcp_wrappers and linux-pam

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)

2006-02-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.3p1, SECURITY_PATCH=1, CVE-2006-0225

2005-10-11 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Provides SSH

2005-09-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.2p1, MD5 -> SOURCE_HASH:sha1

2005-07-24 Ladislav Hagara <hgr@vabo.cz>
	* xinetd.d/ssh: renamed to xinetd.d/sshd [Bug 9342]

2005-05-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.1p1

2005-05-24 David Brown <dmlb2000@excite.com>
	* CONFIGURE: added for selinux question
	* openssh-3.9_p1-selinux.diff: added
	* BUILD: added patch lines for selinux patch
	* DEPENDS: depends on libselinux if patching with selinux patch

2005-03-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.0p1
	* services: deleted
	* CONFLICTS: added dropbear

2005-03-08 Ladislav Hagara <hgr@vabo.cz>
	* xinetd.d/openssh renamed to xinetd.d/ssh [Bug 8377]

2005-01-23 Arjan Bouter <abouter@sourcemage.org>
	* lowercase linux-pam

2004-08-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: VERSION=3.9p1, BUILD_API=2
	* BUILD: converted to BUILD_API=2

2004-04-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.8.1p1

2004-02-24 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 3.8p1 bugfixes and improvements release.

2004-01-06 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: optional_depends krb5 to enable Kerberos 5 support [Bug 5474]

2003-12-09 Ladislav Hagara <hgr@vabo.cz>
	* init.d/sshd: added restart() [Bug 5157]

2003-11-30 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Use INSTALL_ROOT
	* HISTORY: Formatted to Guru Handbook

2003-09-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 3.7.1p2

2003-09-19 Seth Woolley <seth@tautology.org>
	* init script now works if it takes longer than a second to load.

2003-09-16 Seth Woolley <seth@tautology.org>
	* DETAILS: updated to 3.7.1p1 (no announce yet, but the signature checks out)
	  compiled and tested.

2003-09-16 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Added conflicts to lsh

2003-09-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 3.7p1

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-10 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Revert on_dispel Linux-PAM cast_self
	  (doesn't work the way it is documented)

2003-07-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* updated to new init system

2003-07-26 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Update for Linux-PAM

2003-06-26 Eric Schabell <eschabell@sourcemage.org>
	* Fixed remotely logged in restarting of init script
	  so as not to disconnect during restart, fixes bug
	  #3588.

2003-05-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 3.6.1p2

2003-05-02 Rob Verkuylen <rob@verkuylen.net>
	* Copied /init.d/sshd.sh to /init.d/sshd
	  Step 1/3 in bug#: 3115

2003-04-02 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 3.6.1p1

2003-04-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 3.6p1

2003-03-03 Ladislav Hagara <hgr@vabo.cz>
	* updated to use librunlevel
	  created init.d directory, updated BUILD and sshd.sh

2002-11-29 Ladislav Hagara <hgr@vabo.cz>
	* POST_INSTALL: Removed from openssl
	* TRIGGERS: Added "on_cast openssl cast_self"
	* Removed security-update.sh - useless already

2002-10-19 Ladislav Hagara <hgr@vabo.cz>
	* TRIGGERS: Added - bug 680

2002-10-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: Updated to 3.5p1

2002-10-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: Removed MD5[1]
	* HISTORY: Reformatted file according to Grimoire Gurus Handbook
	* BUILD: Added create_account function

2002-10-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: Fixed up MD5

2002-08-19 Adam Clark <adamsgl@dhbit.ca>
	* DETAILS: Fixed up URLs & MD5s

2002-06-26 Adam Clark <adamsgl@dhbit.ca>
	* DETAILS: Updated to 3.4p1 - fixes recent security issues

2002-06-25 Adam Clark <adamsgl@dhbit.ca>
	* DETAILS: Updated to 3.3p1 + added tiny security update script

2002-05-23 Adam Clark <adamsgl@dhbit.ca>
	* DETAILS: Updated to 3.2.3p1

2002-05-18 Adam Clark <adamsgl@dhbit.ca>
	* DETAILS: Updated to 3.2.2p1
	* Fixed spell to use PAM if admin so wishes

2002-03-20 Luis M. Lourenco <aeron@netcabo.pt>
	* CONFLICTS: Added.
	* BUILD: Added --mandir argument to pass to configure.
